Uploaded image for project: 'Openfire'
  1. Openfire
  2. OF-1889

Standardised CSRF protection for plugins

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 4.4.2
    • Fix Version/s: 4.5.0
    • Component/s: Plugins
    • Labels:
      None

      Description

      Rather than have every Openfire plugin jump through the same hoops to counter CSRF attacks, the core server should provide support that each plugin can utilise.

        Attachments

          Activity

            People

            Assignee:
            gdt Greg Thomas
            Reporter:
            gdt Greg Thomas
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: